Get a contact
GET
/api/v3/contacts/{email}
const url = 'https://api.tryletterhead.com/api/v3/contacts/example?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/example?api=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” email
required
string
The contact’s email address, URL-encoded.
Query Parameters
Section titled “Query Parameters ” api
required
boolean
Required. Set to true.
Responses
Section titled “ Responses ”200 OK
Media type application/json
object
items
object
email
string
firstName
string
lastName
string
tags
Array<string>
customFields
object
__lh.engagementRefreshedAt
string
__lh.mailboxProvider
string
__lh.roleAddress
boolean
referralSource
string
lastOpenDate
string
optInTime
string
endpoints
Array<object>
object
channelConsents
Array<object>
object
consents
Array<object>
object
createdAt
string
updatedAt
string
subscriptions
Array<object>
object
channel
object
slug
string
name
string
status
integer
createdAt
string
updatedAt
string
segments
Array<object>
object
id
integer
name
string
message
string
total
integer
Example
{ "items": { "firstName": "Avery", "lastName": "Chen", "tags": [ "the-north", "engaged-readers" ], "customFields": { "__lh.engagementRefreshedAt": "2026-06-14T04:20:28+00:00", "__lh.mailboxProvider": "gmail", "__lh.roleAddress": false, "referralSource": "Embedded subscription box", "lastOpenDate": "2026-06-12 12:06:53", "optInTime": "2026-04-30 03:30:30" }, "endpoints": [], "channelConsents": [], "consents": [], "createdAt": "2026-04-30T15:01:21+00:00", "updatedAt": "2026-06-13T13:05:04+00:00", "subscriptions": [ { "channel": { "slug": "the-daily", "name": "The Daily" }, "status": 1, "createdAt": "2026-04-30T15:22:41+00:00", "updatedAt": "2026-06-12T20:43:14+00:00" }, { "channel": { "slug": "weekend-reads", "name": "Weekend Reads" }, "status": 1, "createdAt": "2026-05-30T16:14:45+00:00", "updatedAt": "2026-05-30T16:14:45+00:00" } ], "segments": [ { "id": 1, "name": "Highly engaged readers" } ] }, "message": "Contact retrieved.", "total": 1}Still can’t find what you need? Contact support.